$blue: #3cb0ca;

.main {
  margin: 2rem 2rem;
}

.additionalIdRow {
  display: flex;
}

.additionalIdFlex {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
}

.additionalId {
  margin: 0rem 0rem 1rem 1rem;
}

@media (max-width: 1100px) {
  .main hr {
    margin: 1rem 0;
    width: 100%;
  }

  .goAndDomainContainer {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 100%;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.15);
    transition: all 0.3s ease-in-out;
  }

  .goGridContainer {
    display: grid;
    justify-items: start;
    justify-content: start;
    grid-template-columns: [dbName] 14vw [id] 20vw [function] auto;
  }

  .domainGridContainer {
    display: grid;
    grid-template-columns: [dbName] 12vw [id] 16vw [function] 30vw [view] auto;
    justify-items: start;
    grid-auto-flow: column dense;

    svg {
      width: 70%;
    }
  }
}

@media (min-width: 1100px) {
  .main hr {
    margin: 1rem 0;
    width: 70%;
  }

  .goAndDomainContainer {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 60%;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.15);
    transition: all 0.3s ease-in-out;
  }

  .goGridContainer {
    display: grid;
    justify-items: start;
    justify-content: start;
    grid-template-columns: [dbName] 11vw [id] 10vw [function] auto;
  }

  .domainGridContainer {
    display: grid;
    grid-template-columns: [dbName] 6vw [id] 10vw [function] 15vw [view] auto;
    justify-items: start;
    grid-auto-flow: column dense;
  }
}

.goAndDomainContainer {
  * {
    margin: 0.5rem 2rem;
  }

  &:hover {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  }

  &.goTypeF {
    border-left: 0rem solid #59bb74;
  }
  &.goTypeF:hover {
    border-left: 1rem solid #59bb74;
  }
  &.goTypeC {
    border-left: 0rem solid #b2afff;
  }
  &.goTypeC:hover {
    border-left: 1rem solid #b2afff;
  }
  &.goTypeP {
    border-left: 0rem solid #fe9fa4;
  }
  &.goTypeP:hover {
    border-left: 1rem solid #fe9fa4;
  }
  &.interpro {
    border-left: 0rem solid #2daec1;
  }
  &.interpro:hover {
    border-left: 1rem solid #2daec1;
  }
  &.gene3d {
    border-left: 0rem solid #a88cc3;
  }
  &.gene3d:hover {
    border-left: 1rem solid #a88cc3;
  }
  &.pfam {
    border-left: 0rem solid #6287b1;
  }
  &.pfam:hover {
    border-left: 1rem solid #6287b1;
  }
  &.tigrfam {
    border-left: 0rem solid #56b9a6;
  }
  &.tigrfam:hover {
    border-left: 1rem solid #56b9a6;
  }
  &.supfam {
    border-left: 0rem solid #686868;
  }
  &.supfam:hover {
    border-left: 1rem solid #686868;
  }
  &.prosite {
    border-left: 0rem solid #f3c766;
  }
  &.prosite:hover {
    border-left: 1rem solid #f3c766;
  }
  &.panther {
    border-left: 0rem solid #bfac92;
  }
  &.panther:hover {
    border-left: 1rem solid #bfac92;
  }
  &.smart {
    border-left: 0rem solid #ff8d8d;
  }
  &.smart:hover {
    border-left: 1rem solid #ff8d8d;
  }
  &.hamap {
    border-left: 0rem solid #2cd6d6;
  }
  &.hamap:hover {
    border-left: 1rem solid #2cd6d6;
  }
  &.prints {
    border-left: 0rem solid #54c75f;
  }
  &.prints:hover {
    border-left: 1rem solid #54c75f;
  }
  &.cdd {
    border-left: 0rem solid #addc58;
  }
  &.cdd:hover {
    border-left: 1rem solid #addc58;
  }
  &.pirsf {
    border-left: 0rem solid #fbbddd;
  }
  &.pirsf:hover {
    border-left: 1rem solid #fbbddd;
  }
}

.geneAndDl {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.rnaSeqInfo {
  margin: 1em;
  position: absolute;
  z-index: 2;
  left: 300px;
  width: 50%;
  background-color: white;
  padding: 0.5em;
  border: 2px solid $blue;
  box-shadow: 3px 3px 5px;
}

.rnaSeqInfoHidden {
  @extend .rnaSeqInfo;
  visibility: hidden;
}

.expressionHeader {
  display: flex;
  flex-direction: row;

  h3 {
    margin-bottom: 0;
    position: relative;
    width: 100%;
  }
}

.placeholder {
  box-shadow: 0 4px 10px 0 rgba(33, 33, 33, 0.15);
  border-radius: 4px;
  position: relative;
  overflow: hidden;
  height: 500px;
  background-color: #d4d7db;
  background-image: linear-gradient(315deg, #eff1f5 0%, #f5f7fa 74%);

  img {
    height: 470px;
  }
}

.placeholder::before {
  content: "";
  display: block;
  position: absolute;
  left: -150px;
  top: 0;
  height: 100%;
  width: 150px;
  background: linear-gradient(
    to right,
    transparent 0%,
    #e8e8e8 50%,
    transparent 100%
  );
  animation: load 1s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

@keyframes load {
  from {
    left: -150px;
  }
  to {
    left: 100%;
  }
}

.svg {
  display: inline;
  font-size: 1em;
  width: 1em;
  height: 1em;
  margin: 0 1em;
  padding: 5px 10px;
  box-shadow: 0 0 3px black;
  border-radius: 3px;
  background-color: rgba(114, 30, 99, 0.04);
  vertical-align: middle;
  cursor: pointer;
}
